- Developers
- API Reference
- Reports
Reports
List or create shareable SEO report links
GET
https://app.ranked.ai/api/v1/projects/{projectId}/reportsGET - List reports
projectIdstringrequiredProject UUID
limitnumberdefault: 50Max reports to return
offsetnumberdefault: 0Number to skip
Request
curl "https://app.ranked.ai/api/v1/projects/{projectId}/reports" \
-H "Authorization: Bearer rk_live_your_api_key"POST - Create a report
Requires a Read + Write API key.
titlestringbodyrequiredReport title
date_rangestringbodyrequired7days, 30days, 90days, or custom
custom_start_datestringbodyStart date (ISO 8601). Required when date_range is custom.
custom_end_datestringbodyEnd date (ISO 8601). Required when date_range is custom.
descriptionstringbodyOptional report description
Request
curl -X POST "https://app.ranked.ai/api/v1/projects/{projectId}/reports" \
-H "Authorization: Bearer rk_live_your_write_key" \
-H "Content-Type: application/json" \
-d '{
"title": "Monthly SEO Report",
"date_range": "30days"
}'This page is also available as markdown for AI agents, and the whole reference as an OpenAPI spec. Questions? Developer support.